Description

Reportado en la lista de usuario por Gabriel Ganoa:

Estimados,

Durante unas prácticas con mis estudiantes hemos estado probando las herramientas de edición gráfica en gvSIG 2.2 pero
tenemos inconvenientes al guardar los cambios en capas de polígonos. He reproducido el mismo procedimiento en diferentes
computadores y siempre hay error al guardar los cambios. También he probado las diferentes herramientas, pero con la
herramienta que más frecuente se presenta el error es "Autopolígono".

El archivo log adjunto se generó en una máquina con Ubuntu 14.04 de 64 bit, (8GB RAM) y los pasos recreados fueron:

    Abrir gvSIG
    Cargar capa de polígonos
    Comenzar edición de capa
    Selección herramienta de Autopolígonos.
    Selección de herramienta de dibujo de polígonos
    Trazado de varios polígonos
    Remover polígono
    Terminar edición con intento de guardar cambios (Aquí el error... se queda abierta la sesión de edición)
    Terminar edición sin guardar cambios
    Cerrar gvSIG sin guardar el proyecto

Problemas similares pero con más frecuencia se has presentado en Windows 7, 8 y 10. Por favor, alguien me puede ayudar a
encontrar solución. Mis estudiantes les agradecerán mucho más que yo!

Associated revisions
Revision 684 - 01/15/2016 09:12 AM - Francisco Díaz Carsí

refs #3980 Fixed autopolygon editing provider to validate only surfaces and multisurfaces

History
#1 - 01/07/2016 10:54 AM - Lluís Marqués
- File gvSIG.log added

Adjunto log

#2 - 01/07/2016 10:57 AM - Lluís Marqués

La edición no puede finalizarse debido a que hay features con geometría de tipo punto dentro de la capa que es de tipo polígono. Reproduciendo el
bug me he dado cuenta que si se hace click sobre el mapa cuando se pide seleccionar una herramienta para dibujar el autopolígono, se añaden
nuevas features a la capa con geometría de tipo punto.

#3 - 01/07/2016 11:13 AM - Álvaro Anguix
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#4 - 01/15/2016 09:18 AM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 98
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

#5 - 01/15/2016 06:22 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2415

#6 - 01/20/2016 12:40 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 421 KB 01/07/2016 Lluís Marqués
